Name:		cwstudio
Summary:	Morse code practice software with extended features
Version:	0.9.5
Release:	%mkrel 1
License:	GPLv2
Url:		http://cwstudio.sourceforge.net/
Group:		Communications/Radio
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.png

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libwxgtku-devel
BuildRequires:	automake

%description
CWStudio is a fast, computationally efficient and portable generator of various
CW signals for telegraphy training purposes.
Besides efficiency and portability, it is designed to simulate as accurately
as possible real receiving conditions.
It can generate signals of various complexity, from one sine signal without any
noise, to AGC-like complex signals mixed with possible hum, chirp, detuning,
hand irregularities and so on.
The interface is a clean easy to use, modern GUI.

This package also installs CWCURSES which is a retro TUI (text user interface)
version.

It also installs the CWCLI batch generator and player. See the man page.

%prep
%setup -q

%build
libtoolize
aclocal
automake --add-missing

%configure

%make_build

%install
%make_install

# Icon
mkdir %{buildroot}%{_iconsdir}
install -m755 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment[en_GB]=Fully featured Morse code tutor
Comment=Fully featured Morse code tutor
Exec=cwwx
Icon=%{name}
Name=CWStudio
Name[en_GB]=CWStudio
GenericName=CWStudio
GenericName[en_GB]=CWStudio
Type=Application
StartupNotify=true
Categories=Education;HamRadio;X-Mageia-CrossDesktop;

EOF

%files
%doc AUTHORS README
%{_bindir}/cwwx
%{_bindir}/cwcurses
%{_bindir}/cwcli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1.xz


%changelog
* Sat Jan 28 2017 barjac <barjac> 0.9.5-1.mga6
+ Revision: 1083894
- new version 0.9.5

* Mon Dec 12 2016 barjac <barjac> 0.9.4-2.mga6
+ Revision: 1074428
- patched to current svn which fixes several upstream bugs

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 18 2015 barjac <barjac> 0.9.4-1.mga6
+ Revision: 903923
- Import new package cwstudio

